package supermercato_senza_interfacce;

import java.util.*;

public class Acquisto{
	
	private String codiceAcquisto;
	private int codiceCliente;
	private Set<Prodotto> prodotti;
	private float importo;
	
	public Acquisto(){
		this("",0,new HashSet<Prodotto>(),0);
	}
	
	public Acquisto(String codA, int codC, Set<Prodotto> setP, float i){
		codiceAcquisto = codA;
		codiceCliente = codC;
		prodotti = setP;
		importo = i;
	}
	
	public Set<Prodotto> getProdotti(){
		return prodotti;
	}
	
    // punto 2)
	public int calcolaPunti(){
		int totPunti = 0;	
		Iterator<Prodotto> i = prodotti.iterator();
		while(i.hasNext())
			totPunti += i.next().getPunti();
		return totPunti;
	}
	
	
}
