package supermercato_senza_interfacce;

public class Cliente {
	
	private static int progressivo = 1;
	
	private int codiceFC;
	private String nome;
	private String cognome;
	private int punti;
	
	public Cliente(){
		this("","");
	}
	
	// notare che il cliente entra con 100 punti omaggio, quindi assegnati dal sistema
	public Cliente(String nome, String cognome){
		this.codiceFC = progressivo++;
		this.nome = nome;
		this.cognome = cognome;
		this.punti = 100;
	}
	
	public int getCodice(){
		return codiceFC;
	}
	
	public int getPunti(){
		return punti;
	}
	
	public void aggiungiPunti(int n){
		punti += n;
	}
	
	public String toString(){
		String s = "";
		s += "Codice Fidelity Card: " + codiceFC;
		s += "Nome: " + nome;
		s += "Cognome: " + cognome;
		s += "Punti: " + punti;
		return s;
	}
	

}
